incubator-any23-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lewis John McGibbney (Updated) (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (ANY23-37) LGPL'ed components cannot be included in distribution packages
Date Fri, 17 Feb 2012 15:04:00 GMT

     [ https://issues.apache.org/jira/browse/ANY23-37?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Lewis John McGibbney updated ANY23-37:
--------------------------------------

    Attachment: ANY23-37.patch

This patch merely upgrades the crawler4j library in the plugin maven pom.xml, it then goes
on to update some class references which were causing compile errors. There is one error I
am aware of which I can't fix just now because i don't know enough about crawler4j changes.
It is hosted on Github here [1]. 

I've also not tried removing the offending LGPL library yet so this really is a stab in the
dark.

[1] https://github.com/yasserg/crawler4j/    
                
> LGPL'ed components cannot be included in distribution packages
> --------------------------------------------------------------
>
>                 Key: ANY23-37
>                 URL: https://issues.apache.org/jira/browse/ANY23-37
>             Project: Apache Any23
>          Issue Type: Bug
>            Reporter: Simone Tripodi
>            Priority: Critical
>         Attachments: ANY23-37.patch
>
>
> While reviewing dependencies license, I noticed that the it.unimi.dsi:dsiutils:2.0.1
transitive dependency is released under LGPL release, so it cannot be included in the non-maven
binary archives.
> A first turnaround solution could be avoiding it is included and reporting it in the
README.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message